Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.internal.client
Class AssertionFailedErrorWrapper

    java.lang.Object
      java.lang.Throwable
          java.lang.Error
              junit.framework.AssertionFailedError
                  org.apache.cactus.internal.client.AssertionFailedErrorWrapper

All Implemented Interfaces:
  java.io.Serializable

public class AssertionFailedErrorWrapper
extends junit.framework.AssertionFailedError

Same as `ServletExceptionWrapper` except that this exception class extends JUnit `AssertionFailedError` so that JUnit will print a different message in it's runner console.

Version:
  $Id: AssertionFailedErrorWrapper.java 238991 2004-05-22 11:34:50Z vmassol $
See Also:
  Serialized Form

Constructor Summary
`AssertionFailedErrorWrapper()` Standard throwable constructor.
`AssertionFailedErrorWrapper(java.lang.String theMessage)` Standard throwable constructor.
`AssertionFailedErrorWrapper(java.lang.String theMessage, java.lang.String theClassName, java.lang.String theStackTrace)` The constructor to use to simulate a real exception.

Method Summary
`java.lang.String` | `getWrappedClassName()`
`void` | `printStackTrace(java.io.PrintStream thePs)` Simulates a printing of a stack trace by printing the string stack trace
`void` | `printStackTrace(java.io.PrintWriter thePw)` Simulates a printing of a stack trace by printing the string stack trace

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AssertionFailedErrorWrapper

    public AssertionFailedErrorWrapper(java.lang.String theMessage)

  Standard throwable constructor.

Parameters:
  `theMessage` - the exception message

### AssertionFailedErrorWrapper

    public AssertionFailedErrorWrapper()

  Standard throwable constructor.

### AssertionFailedErrorWrapper

    public AssertionFailedErrorWrapper(java.lang.String theMessage,
                                       java.lang.String theClassName,
                                       java.lang.String theStackTrace)

  The constructor to use to simulate a real exception.

Parameters:
  `theMessage` - the server exception message
  `theClassName` - the server exception class name
  `theStackTrace` - the server exception stack trace

Method Detail

### printStackTrace

    public void printStackTrace(java.io.PrintStream thePs)

  Simulates a printing of a stack trace by printing the string stack trace

  Parameters:
    `thePs` - the stream to which to output the stack trace

### printStackTrace

    public void printStackTrace(java.io.PrintWriter thePw)

  Simulates a printing of a stack trace by printing the string stack trace

  Parameters:
    `thePw` - the writer to which to output the stack trace

### getWrappedClassName

    public java.lang.String getWrappedClassName()

  Returns:
    the wrapped class name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.